﻿//////////////////////////////////////////////
// ScriptEngine.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../Dll/DllDefines.h"

// Common
#include <nilkinsCommon/Patterns/SingletonClass.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT ScriptsEngine final
	{
		private :

			// Constructeur, destructeur
			ScriptsEngine () = delete ;
			~ScriptsEngine () = delete ;

		public :

			// Getters
			static nkScripts::Environment* getLuaScriptEnvironment () ;

			// Init
			static bool initialize () ;
			// Shutdown
			static void shutdown () ;
	} ;
}