﻿//////////////////////////////////////////////
// UnmapRequestDescriptor.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward declarations ---------------------

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

#include "../Utils/DxDefinesWrapper.h"

/// Class ------------------------------------

namespace nkGraphics
{
	struct DLL_GRAPHICS_EXPORT UnmapRequestDescriptor
	{
		// Les ranges d'écritures
		// Si start > end, signifie que tout a été touché
		// Si start == end, signifie que rien n'a été écrit
		// Si start < end, alors le range décrit est celui où la réécriture a eu lieu, dans la subresource
		unsigned int _writtenRangeByteStart = 1 ;
		unsigned int _writtenRangeByteEnd = 0 ;
	} ;
}