﻿//////////////////////////////////////////////
// ScreenshotTaker.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class RenderContext ;
}

namespace nkImages
{
	class Image ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT ScreenshotTaker final
	{
		private :

			// Constructeur, destructeur
			ScreenshotTaker () ;
			~ScreenshotTaker () ;			
		
		public :

			// Prise de screen
			static nkImages::Image getScreenPixels (RenderContext* context) ;
	} ;
}